<?php
/* install.php - UserAuthenticate Install Script
   Author: Ryan McCahan -for- btcentral.org.uk
   Modified by: BTCentral

   Interface Design by: BTCentral

   NOTE: All files should check for the presence
   of this file and refuse to operate if it still
   exists.  This file constitutes a security risk
   on a running installation, and must be removed
   after installation and before the script can
   operate.  */

// Include our default header to pretty-ify things.
include("install.header.php");

// Check for safe mode
if( ini_get('safe_mode') ){
print "ERROR: PHP SAFEMODE ENABLED<br>";
print "Use <a href=\"sminstall.php\">this</a> script for installation in PHP Safemode";
  die(include "footer.php"); // Quit Install Script...
}else{
   // Do nothing
}

// Form submission, verify results, create config page
if ($_POST["adminemail"]) {

  // Make things pretty just in case register_globals isn't on
  $adminemail = $_POST['adminemail'];
  $resultpage = $_POST['resultpage'];
  $admin      = $_POST['admin'];
  $success    = $_POST['success'];
  $failure    = $_POST['failure'];
  $changepassword = $_POST['changepassword'];
  $login      = $_POST['login'];
  $logout     = $_POST['logout'];
  $dbhost     = $_POST['dbhost'];
  $dbusername = $_POST['dbusername'];
  $dbpass     = $_POST['dbpass'];
  $dbname     = $_POST['dbname'];
  $dbprefix   = $_POST['dbprefix'];

  // Build our config file
$config = <<<ENDCONFIGFILE
<?php
// GENERAL SETTINGS
\$adminemail = "$adminemail"; // This is the admin's email address
\$resultpage = "$resultpage";	// This is the page that would check for authenticity
\$admin = "$admin";	// This is the path to the admin interface
\$success = "$success";	// This is the page to be shown if the user is authenticated
\$failure = "$failure";	// This is the page to be shown if username-password combination does not match
\$changepassword = "$changepassword"; // Path to change password script
\$login = "$login";	// Path to login page
\$logout = "$logout";	// Path to logout page

// DB SETTINGS
\$dbhost = "$dbhost";	// Database Hostname
\$dbusername = "$dbusername";	// Database Username
\$dbpass = "$dbpass";	// Database Password
\$dbname	= "$dbname";	// Database Name
\$dbprefix = "$dbprefix";	// Database Prefix
?>
ENDCONFIGFILE;
  file_put_contents("authconfig.php", $config);

  mysql_connect($dbhost, $dbusername, $dbpass);
  mysql_select_db($dbname);

  $authteam = $dbprefix . "authteam";
  $query = <<<ENDQUERY
CREATE TABLE $authteam (
  id int(4) NOT NULL auto_increment,
  teamname varchar(25) NOT NULL default '',
  teamlead varchar(25) NOT NULL default '',
  status varchar(10) NOT NULL default '',
  PRIMARY KEY  (id),
  KEY teamname (teamname,teamlead)
) TYPE=MyISAM;
ENDQUERY;

  mysql_query($query);
  mysql_query("INSERT INTO $authteam VALUES (1, 'Ungrouped', 'sa', 'active');");
  mysql_query("INSERT INTO $authteam VALUES (2, 'Admin', 'sa', 'active');");
  mysql_query("INSERT INTO $authteam VALUES (3, 'Temporary', 'sa', 'active');");
  mysql_query("INSERT INTO $authteam VALUES (7, 'Group 1', 'sa', 'active');");
  mysql_query("INSERT INTO $authteam VALUES (8, 'Group 2', 'test', 'active');");
  mysql_query("INSERT INTO $authteam VALUES (9, 'Group 3', 'admin', 'active');");

  $authuser = $dbprefix . "authuser";
  $query = <<<ENDQUERY2
CREATE TABLE $authuser (
  id int(11) NOT NULL auto_increment,
  uname varchar(25) NOT NULL default '',
  passwd varchar(32) NOT NULL default '',
  team varchar(25) NOT NULL default '',
  level int(4) NOT NULL default '0',
  status varchar(10) NOT NULL default '',
  lastlogin datetime default NULL,
  logincount int(11) default NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;
ENDQUERY2;
  mysql_query($query);

  mysql_query("INSERT INTO $authuser VALUES (1, 'sa', '9df3b01c60df20d13843841ff0d4482c', 'Admin', 1, 'active', '2003-04-04 10:59:36', 0);");
  mysql_query("INSERT INTO $authuser VALUES (2, 'admin', '9df3b01c60df20d13843841ff0d4482c', 'Admin', 1, 'active', '2003-03-29 17:17:21', 0);");
  mysql_query("INSERT INTO $authuser VALUES (3, 'test', '9df3b01c60df20d13843841ff0d4482c', 'Temporary', 999, 'active', '2003-04-03 00:00:34', 0);");
  mysql_query("INSERT INTO $authuser VALUES (11, 'G1-0001', '9df3b01c60df20d13843841ff0d4482c', 'Group 1', 5, 'active', '2003-04-04 10:59:02', 0);");
  mysql_query("INSERT INTO $authuser VALUES (12, 'G1-0002', '9df3b01c60df20d13843841ff0d4482c', 'Group 1', 2, 'active', '0000-00-00 00:00:00', 0);");
  mysql_query("INSERT INTO $authuser VALUES (13, 'G2-0001', '9df3b01c60df20d13843841ff0d4482c', 'Group 2', 5, 'active', '2003-04-03 00:46:20', 0);");
  mysql_query("INSERT INTO $authuser VALUES (14, 'G2-0002', '9df3b01c60df20d13843841ff0d4482c', 'Group 2', 6, 'active', '2003-04-03 00:48:04', 0);");
  mysql_query("INSERT INTO $authuser VALUES (15, 'G2-0003', '9df3b01c60df20d13843841ff0d4482c', 'Group 2', 3, 'active', '2003-04-04 10:31:16', 0);");
  mysql_query("INSERT INTO $authuser VALUES (16, 'G3-0001', '9df3b01c60df20d13843841ff0d4482c', 'Group 3', 10, 'active', '0000-00-00 00:00:00', 0);");
  mysql_query("INSERT INTO $authuser VALUES (17, 'G3-0002', '9df3b01c60df20d13843841ff0d4482c', 'Group 3', 4, 'active', '0000-00-00 00:00:00', 0);");

print "UserAuthenticate sucessfully Installed!<br>";
print "Please note: Please check the database!";

} else { // No form submission
// Just print form
?>

  <form action="install.php" method="POST">
  <table>
    <tr>
      <td><b>Description</b></td>
      <td><b>Value</b></td>
    </tr>
    <tr>
      <td>Your email address</td>
      <td><input type="text" name="adminemail" value="you@yourdomain.com"></td>
    </tr>
    <tr>
      <td>Result page</td>
      <td><input type="text" name="resultpage" value="UserAuthenticate.php"></td>
    </tr>
    <tr>
      <td>Admin page</td>
      <td><input type="text" name="admin" value="index2.php"></td>
    </tr>
    <tr>
      <td>Success page</td>
      <td><input type="text" name="success" value="index2.php"></td>
    </tr>
    <tr>
      <td>Failure page</td>
      <td><input type="text" name="failure" value="failed.php"></td>
    </tr>
    <tr>
      <td>Change password</td>
      <td><input type="text" name="changepassword" value="http://<?php echo $_SERVER['HTTP_HOST']; ?>/userauthenticate/chgpwd.php"></td>
    </tr>
    <tr>
      <td>Login page</td>
      <td><input type="text" name="login" value="http://<?php echo $_SERVER['HTTP_HOST']; ?>/userauthenticate/index.php"></td>
    </tr>
    <tr>
      <td>Logout page</td>
      <td><input type="text" name="logout" value="http://<?php echo $_SERVER['HTTP_HOST']; ?>/userauthenticate/logout.php"></td>
    </tr>
    <tr>
      <td>Database Host</td>
      <td><input type="text" name="dbhost" value="localhost"></td>
    </tr>
    <tr>
      <td>DB Username</td>
      <td><input type="text" name="dbusername" value="username"></td>
    </tr>
    <tr>
      <td>DB Password</td>
      <td><input type="password" name="dbpass" value="password"></td>
    </tr>
    <tr>
      <td>DB Name</td>
      <td><input type="text" name="dbname" value="userauthenticate"></td>
    </tr>
    <tr>
      <td>Prefix (must be unique to each UA install)</td>
      <td><input type="text" name="dbprefix" value="ua_"></td>
    </tr>
    <tr>
      <td><br /><input type="submit" name="Install" value="Install"></td>
    </tr>
    </form>
  </table>
<?php
}
// Include the default footer
include("install.footer.php");
?>